{% extends "base.html.twig" %}
{% block body %}
    {% include 'topbar/topbar2recherche.html.twig' with {'topbar2' : 5 } %}
    <div class="container-fluid">
        <div class="col-md-12  hideforprint">
            <header class="page-header" style="margin-top: 10px">
                <h3>Edition statistiques</h3>
            </header>
        </div>
        <div class="col-md-12  hideforprint">
            <div class="form-horizontal">
                <div class="col-md-2">
                    <div class="form-group">
                        <label class="col-md-2 control-label">Année</label>
                        <div class="col-md-10">
                            <input id='report_annee' class="form-control" value="{{"now"|date("Y")}}" pattern='\d{4}'>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <label class="col-md-2 control-label">Entité</label>
                        <div class="col-md-10">
                            <select class="form-control" id='select_entite'>
                                <optgroup label="Pôles">
                                    <option value='global'>Pôle construction</option>
                                </optgroup>
                                <optgroup label="Régions">
                                    {% for region in regions %}
                                        <option value="r_{{ region.id_entite }}">{{region.nom}}</option>
                                    {% endfor %}
                                </optgroup>
                                <optgroup label="Services">
                                    {% for service in services %}
                                        <option value='sv_{{service.id_service}}'>{{service.nom}}</option>
                                    {% endfor %}
                                </optgroup>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-md-2"><button type="button" class="btn btn-primary" id='btn_voir_reporting'>Voir</button><img id='loading' src='{{ assetsdir }}/images/ajax-loading.gif' style="height: 25px; margin-left: 10px; display: none">
                    <button type="button" class="btn btn-primary" id='btn_print_reporting' style="display: none"><span class="glyphicon glyphicon-print"></span></button></div>
            </div>
        </div>
        <div class="col-md-12" id='frame_reporting'>

        </div>
    </div>
    <script>
        $("#btn_voir_reporting").click(function () {
            var annee = $('#report_annee').val();
            if (!/\d{4}/.test(annee)) {
                alert("Merci de renseigner une année valide");
                return;
            }
            var portee = $('#select_entite').val();
            $('#loading').show();
            $.get(AJAXPATH + "/reporting/get_reporting/" + annee + "/" + portee, function (r) {
                $('#loading').hide();
                $('#frame_reporting').empty().append(r);
                $('#btn_print_reporting').show();
            });
        });

        $('#btn_print_reporting').click(function () {
            window.print();
        });
    </script>
{% endblock %}